Holger's Java API

## com.antelmann.opengeodb
Enum GeoType

    java.lang.Object
      java.lang.Enum<GeoType>
          com.antelmann.opengeodb.GeoType

All Implemented Interfaces:
  Serializable, Comparable<GeoType>

    public enum GeoType

extends Enum<GeoType>

Since:
  20.12.2014, 23:05:43
Author:
  holger

Enum Constant Summary
`FLOAT`
`GEO`
`INT`
`TEXT`

Method Summary
`String` `getTableName()`
`String` `getTypeColumn()`
`Class<?>` `getValueClass()`
`String` `getValueColumn()`
`static GeoType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static GeoType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### GEO

    public static final GeoType GEO

### TEXT

    public static final GeoType TEXT

### INT

    public static final GeoType INT

### FLOAT

    public static final GeoType FLOAT

Method Detail

### values

    public static GeoType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (GeoType c : GeoType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static GeoType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getValueClass

    public Class<?> getValueClass()

### getTableName

    public String getTableName()

### getTypeColumn

    public String getTypeColumn()

### getValueColumn

    public String getValueColumn()

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads